commit:     7204ad5fc2639456edbaae50754a65073e04c327
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 11:08:54 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 11:09:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7204ad5f

dev-lua/lua-openssl: migrate to lua eclass

Closes: https://bugs.gentoo.org/752621
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 .../lua-openssl/lua-openssl-0.7.8_p0-r100.ebuild   | 113 +++++++++++++++++++++
 profiles/package.mask                              |   1 +
 2 files changed, 114 insertions(+)

diff --git a/dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r100.ebuild 
b/dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r100.ebuild
new file mode 100644
index 00000000000..c00ab048eb2
--- /dev/null
+++ b/dev-lua/lua-openssl/lua-openssl-0.7.8_p0-r100.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_COMMIT_AUX="8d09895473b73e4fb72b7573615f69c36e1860a2"
+LUA_COMPAT=( lua5-{1..3} luajit )
+MY_PN_AUX="lua-auxiliar"
+MY_PN_COMPAT="lua-compat-5.3"
+MY_PV="${PV//_p/-}"
+MY_PV_COMPAT="0.10"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="OpenSSL binding for Lua"
+HOMEPAGE="https://github.com/zhaozg/lua-openssl";
+SRC_URI="
+       https://github.com/zhaozg/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz
+       
https://github.com/zhaozg/${MY_PN_AUX}/archive/${EGIT_COMMIT_AUX}.tar.gz -> 
${MY_PN_AUX}-${EGIT_COMMIT_AUX}.tar.gz
+       
https://github.com/keplerproject/${MY_PN_COMPAT}/archive/v${MY_PV_COMPAT}.tar.gz
 -> ${MY_PN_COMPAT}-${MY_PV_COMPAT}.tar.gz
+"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="MIT openssl PHP-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="libressl test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !dev-lua/luacrypto
+       !dev-lua/luaossl
+       !dev-lua/luasec
+       libressl? ( dev-libs/libressl:0= )
+       !libressl? ( dev-libs/openssl:0=[-bindist] )
+       ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( ${RDEPEND} )
+"
+
+DOCS=( "README.md" "samples/." )
+
+src_prepare() {
+       default
+
+       # Prepare needed dependencies (source code files only)
+       rm -r deps/{auxiliar,lua-compat} || die
+       mv "${WORKDIR}/${MY_PN_AUX}-${EGIT_COMMIT_AUX}" deps/auxiliar || die
+       mv "${WORKDIR}/${MY_PN_COMPAT}-${MY_PV_COMPAT}" deps/lua-compat || die
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "AR=$(tc-getAR)"
+               "CC=$(tc-getCC)"
+               "LUA_CFLAGS=${CFLAGS} $(lua_get_CFLAGS)"
+               "LUA_LIBS=${LDFLAGS}"
+               "LUA_VERSION=$(ver_cut 1-2 $(lua_get_version))"
+       )
+
+       emake "${myemakeargs[@]}"
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "LUA=${ELUA}"
+       )
+
+       emake "${myemakeargs[@]}" test
+
+       popd
+}
+
+src_test() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "LUA_LIBDIR=${ED}/$(lua_get_cmod_dir)"
+       )
+
+       emake "${myemakeargs[@]}" install
+
+       insinto "$(lua_get_lmod_dir)"
+       doins -r "lib/."
+
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index 4f1acfaf749..6231057c3e0 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -530,6 +530,7 @@ dev-lua/luacrypto
 >=dev-lua/lua-argparse-0.6.0-r100
 >=dev-lua/lua-bit32-5.3.5-r100
 >=dev-lua/lua-cjson-2.1.0.8-r100
+>=dev-lua/lua-openssl-0.7.8_p0-r100
 >=dev-lua/lua-term-0.7-r100
 >=dev-lua/lua-utf8-0.1.3-r100
 >=dev-lua/lua-zlib-1.2-r100

Reply via email to